Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
p01-contact : simply add contact forms in your pages
Very good plugin but is there capcha support? I can't find it.
I would not want to get spam.
Reply
smilema Wrote:Very good plugin but is there capcha support? I can't find it.

I am not sure if your question is serious, ofcourse p01-contact comes with captcha

open your eyes! add (%contact %) to your page and the captcha is there!
|--
Die deutsche GetSimple-Webseite: http://www.Get-Simple.de = the german Get-Simple-Website!
Das deutschsprachige GetSimple-(Unter-)Forum:   http://get-simple.info/forums/forumdisplay.php?fid=18
Reply
Hi,

When i'm try send a message, the follow message it's printed:

" Error : no message was sent. "

What can i do to resolve ths issue!?

Someone help me, please!
Reply
How can I put this plugin in GetSimple 3.1? My plugins panel shows the message "Update to 0.9.1" for p01-contact plugin.
Reply
@professordenis: same little problem here, but only once : plugins page shows "update to xxx" the first time I load it after installing a plugin, then I press F5 and everything goes back to normal. Happened to me with p01-contact 0.9.1 and Extend Downloader 1.0. Both plugin work well.

professordenis Wrote:How can I put this plugin in GetSimple 3.1? My plugins panel shows the message "Update to 0.9.1" for p01-contact plugin.
Reply
calmos Wrote:@professordenis: same little problem here, but only once : plugins page shows "update to xxx" the first time I load it after installing a plugin, then I press F5 and everything goes back to normal. Happened to me with p01-contact 0.9.1 and Extend Downloader 1.0. Both plugin work well.

professordenis Wrote:How can I put this plugin in GetSimple 3.1? My plugins panel shows the message "Update to 0.9.1" for p01-contact plugin.

That's right. The plugin looks to work fine now. Thanks a lot!
Reply
Ampersand 2012-01-19 Wrote:There is still {2,3} in the current 0.9.1 ver of the plugin. This is the most urgent bug to get rid of. Otherwise no chance not only for .info but .travel and other unusual domains.
I found also this bug to be urgent.

yojoe 2011-06-26 Wrote:
reff 2011-06-26 Wrote:Hi all
I found a bug (possibly connected to e-mail verification regexp). Everything's ok if there any .com .net .ru or whatever 2-3 letters TLD is used as a mail domain in plugin's settings. But in case of usage 4 letters TLD (e.g. .info) the 'target' error occurs and message cannot be sent.

edit /plugins/p01-contact/p01-contact.php
change line 846 to:
Code:
$pattern = '`^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*(\.[a-z]{2,4})$`i';
and visitors should be able to send using 4-letter tld in their email addresses.
reff Wrote:I tried exactly the same, but this didn't help.
There are 3 places in p01-contact.php (v0.9.1) where ".[a-z]{2,3}" is used:
Ln 91 Col 102
Ln 530 Col 97
Ln 846 Col 95
I changed all of them to ".[a-z]{2,5}" and also Ln 854 Col 98 (website).
Changed the version also to v0.9.1.1. You can download p01-contact.php.txt in the attachement.

But maybe for a future version this should be changed to a better regexp:
hameau 2011-06-26 Wrote:I have good results with the regexp on this page.
Try the first one under 'Conclusion'.
Advanced HTML5 & CSS3 coder. Simple JS & PHP hacker (not enough for new function coding). Build one webpage with GS (late 2012). Focusing on Theme customizing/Template files. Experience with WP.
Reply
Great, works as intended on a fresh GS 3.1.
Attention, version number goes on line 23 too (needed for plugins page to show version number). Here it is -> see attachment.
Thanks a lot for your work !


ChriS Wrote:
Ampersand 2012-01-19 Wrote:There is still {2,3} in the current 0.9.1 ver of the plugin. This is the most urgent bug to get rid of. Otherwise no chance not only for .info but .travel and other unusual domains.
I found also this bug to be urgent.

yojoe 2011-06-26 Wrote:
reff 2011-06-26 Wrote:Hi all
I found a bug (possibly connected to e-mail verification regexp). Everything's ok if there any .com .net .ru or whatever 2-3 letters TLD is used as a mail domain in plugin's settings. But in case of usage 4 letters TLD (e.g. .info) the 'target' error occurs and message cannot be sent.

edit /plugins/p01-contact/p01-contact.php
change line 846 to:
Code:
$pattern = '`^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*(\.[a-z]{2,4})$`i';
and visitors should be able to send using 4-letter tld in their email addresses.
reff Wrote:I tried exactly the same, but this didn't help.
There are 3 places in p01-contact.php (v0.9.1) where ".[a-z]{2,3}" is used:
Ln 91 Col 102
Ln 530 Col 97
Ln 846 Col 95
I changed all of them to ".[a-z]{2,5}" and also Ln 854 Col 98 (website).
Changed the version also to v0.9.1.1. You can download p01-contact.php.txt in the attachement.

But maybe for a future version this should be changed to a better regexp:
hameau 2011-06-26 Wrote:I have good results with the regexp on this page.
Try the first one under 'Conclusion'.
Reply
calmos Wrote:Great, works as intended on a fresh GS 3.1.
Attention, version number goes on line 23 too (needed for plugins page to show version number). Here it is -> see attachment.
Thanks a lot for your work !
Thanks also, I haven't checked well the version thing. For the perfection also p01-contact_gs.php in the plugin folder has to be changed (see Attachment). I have no experience with doing GS-Plugins, so I hope the hotfixing here is ok and has no undesired sideffects. ;-)
Advanced HTML5 & CSS3 coder. Simple JS & PHP hacker (not enough for new function coding). Build one webpage with GS (late 2012). Focusing on Theme customizing/Template files. Experience with WP.
Reply
Hello,
p01-contact worked for me perfectly, but now I changed my servers to lighttpd for http and qmail for mail and it doesn't work. Any solution?
Reply
Rene Wrote:
Donuts Wrote:Hi, great plugin!
But I also need an option for a "file upload" like: http://cgi-lib.berkeley.edu/ex/fup.html. Its a sample file upload form.
I noticed that there was an file option in p01-contact.php.

Code:
/**
     * Return the general type of a field, even of specials fields.
     */
    function general_type()
    {
        $types = array(
            'name'    => 'text',
            'email'   => 'text',
            'phone'   => 'text',
            'website' => 'text',
            'subject' => 'text',
            'address' => 'textarea',
            'message' => 'textarea',
            'file'    => 'file',
            'captcha' => 'captcha',
            'askcopy' => 'checkbox');
        if(isset($types[$this->type]))
            return $types[$this->type];
        else return $this->type;
    }
So I thought I could do something simple like:
Code:
(% contact : name!, email!, file "File upload:",captcha! %)
But that does not work as I expected.
So what am I doing wrong? Help is appreciated. Greetings, Tom.


@Donuts

See row 990 in p01-contacts.php
//case 'file' :
Have you tried to enable this?


Hi René, just tried it and ... nope.
But this time I received the "file name" in the email. It is still not what I had in mind. But thanks for thinking along. Though I still hope that someone can fix this.
Reply
I was struggling using p01-contact on a 3-languages site (with I18N-Plugin). Especially subject, captcha, askcopy an the send button are not customizable with the Special fields types.
Inserting the following code in the header of my template everything is fine:
Code:
if ($language == 'de') $p01contact->default_lang = 'de';
if ($language == 'en') $p01contact->default_lang = 'en';
if ($language == 'it') $p01contact->default_lang = 'it';

Hope it helps someone else who does not wont to work with components.

I like also to request a Special field type for language select in a future version.
Advanced HTML5 & CSS3 coder. Simple JS & PHP hacker (not enough for new function coding). Build one webpage with GS (late 2012). Focusing on Theme customizing/Template files. Experience with WP.
Reply
Is there a way to call the plugin from my theme template rather than in the WYSIWYG content block?

I don't want my users to be able to edit (i.e. mess up) the form.
Reply
<?php echo $p01contact->parse('(% contact %)');?>
Reply
Thanks Oleg.
Reply
I'd like to know how I put two forms in same page. Is it possible? How?

Thanks,
Felipe Fernandes
Reply
I have the same issue. Did you solve this one? How?

Thanks,
FF


calmos Wrote:Hi, & first thanx for this great plugin.
However I have a problem with a website I'm currently working on.
On one page I created one (order) form with p01-contact, works well. In the sidebar there is another form (subscribe form) created with p01-contact too. Problem is, the plugin generates both forms with the same id. So when I fill in the 2nd form, the 1st one sends the message.
Is it a normal behavior for p01-contact (or GS) ? I recall reading about p01-contact being suitable for multiple forms in same pages, but I cant seem to find the reference I read this from.
A precision : form #2 (in the sidebar) is loaded from a component. I tried to load it from a template file, same problem happens.
Thanx in advance for any reply.
Reply
Hi. Can I attach files for sending by p01-contact form? what is the tag for it?

sorry, answer found above.
Reply
I turned on debugging (GS 3.1) and noticed these PHP notices:

Code:
Notice: Trying to get property of non-object in /home/****/public_html/admin/inc/plugin_functions.php on line 75
Warning: file_get_contents(/home/****/public_html/data/other/user.xml): failed to open stream: No such file or directory in /home/****/public_html/admin/inc/basic.php on line 257
Notice: Trying to get property of non-object in /home/****/public_html/plugins/p01-contact_gs.php on line 69
Notice: Trying to get property of non-object in /home/****/public_html/admin/inc/plugin_functions.php on line 75

Is this fixable?
Reply
ChriS Wrote:I was struggling using p01-contact on a 3-languages site (with I18N-Plugin). Especially subject, captcha, askcopy an the send button are not customizable with the Special fields types.
Inserting the following code in the header of my template everything is fine:
Code:
if ($language == 'de') $p01contact->default_lang = 'de';
if ($language == 'en') $p01contact->default_lang = 'en';
if ($language == 'it') $p01contact->default_lang = 'it';

I was actually looking into the same thing.

How exactly did you insert the code above to the head of your template?
Reply
Ok I have checked the whole thread looking for the way to change the size of po1-contact on the page. I know there use to be a way to do this because on one of the older versions I did it on one of my sites but for the life of me I can't remember how to do it. (Getting old isn't any fun!!!!)

Is there suppose to be a CSS file with po1-contact? If so I must have done something wrong on the install.

So I would appreciate it if anyone could lead me in the right direction.

Bob
Reply
rfuller Wrote:Ok I have checked the whole thread looking for the way to change the size of po1-contact on the page. I know there use to be a way to do this because on one of the older versions I did it on one of my sites but for the life of me I can't remember how to do it. (Getting old isn't any fun!!!!)

Add to your css file:
Code:
.p01-contact {
    width: 600px; /*an example width*/
}
Addons: getsimple theme, Online Visitors, Notepad
Reply
This is a feature request:

let p01-contact write a logfile in xml - format, where all sent mails are stored
by this, the mails could be analyzed or re-used for other purposes (ticket orders for example)

when will formsimple be available?

Cheers, Connie
|--
Die deutsche GetSimple-Webseite: http://www.Get-Simple.de = the german Get-Simple-Website!
Das deutschsprachige GetSimple-(Unter-)Forum:   http://get-simple.info/forums/forumdisplay.php?fid=18
Reply
Dear Nicolas,

at first many thanks for this great Plugin!

But I've found a little bug in your Plugin.

I made the following default form:
Code:
radio! "Ja, ich möchte am 4. August 2012 teilnehmen auf der"= "25 km Strecke" | "21 km Strecke" | "8 km Strecke",
radio! "Ich" = "laufe" | "fahre Rad" | "mache Nordic Walking/Wandern",
select = "Frau" selected | "Herr",
name!, text! "Vorname: ",
text "Ggf. Verein: ",
text! "Alter: ",
text! "Straße, Nr. ",
text! "PLZ: ",
text! "Ort: ",
email!,
checkbox =  "Ich bin damit einverstanden, dass mein Name auf der Teilnahmeliste veröffentlicht wird.",
captcha!

The bug comes with the checkbox, where it is not possible to write a comma within the sentence. The result you can the at the attached image.

I've spend many time to find the reason of this bug and find out that the responsible part is the regular expression which is stored in $param_pattern (line 90 in p01-contact.php), cause after the function call in line 115 the sentence of the checkbox will be damaged.
In all other form-parts the comma within a sentence is no problem, you can see it also on the image.

It will be very great if you can fix this bug, because regular expressions are to complicated for my little brain! ;-)
Wer nicht überzeugen kann sollte wenigstens Verwirrung stiften!
Reply
comdraft Wrote:It will be very great if you can fix this bug, because regular expressions are to complicated for my little brain! ;-)

Try this simple hack: turn on page source view, and instead of , use its equivalent in html code ,
Addons: getsimple theme, Online Visitors, Notepad
Reply




Users browsing this thread: 1 Guest(s)